Skip to main content
GET
/
public
/
v1
/
workflows
/
execution-states
/
{state_id}
/
Get execution state by ID
curl --request GET \
  --url https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/workflows/execution-states/{state_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "workflow_id": 123,
  "workflow_name": "<string>",
  "record_id": 123,
  "record_type": "<string>",
  "current_step": 123,
  "current_substep": 123,
  "status": "<string>",
  "requested_approver_ids": [
    123
  ],
  "approved_by_ids": [
    123
  ],
  "rejected_by_id": 123,
  "rejection_reason": "<string>",
  "initiator_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

state_id
integer
required

Response

OK

Schema for workflow execution state output.

id
integer
required
workflow_id
integer
required
workflow_name
string
required
record_id
integer
required
record_type
string
required
current_step
integer
required
current_substep
integer
required
status
string
required
requested_approver_ids
integer[]
required
approved_by_ids
integer[]
required
rejected_by_id
integer | null
required
rejection_reason
string | null
required
initiator_id
integer | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
Last modified on July 13, 2026